Name:		amsynth
Version:	1.13.2
Release:	%mkrel 1
Summary:	Analog Modelling Synthesizer
License:	GPLv2+
Group:		Sound/Midi
URL:		https://amsynth.github.io/
Source:		https://github.com/amsynth/amsynth/releases/download/release-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(dssi)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(lash-1.0)
BuildRequires:	pkgconfig(liblo)
BuildRequires:	pkgconfig(lv2)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	alsa-oss-devel
BuildRequires:	intltool

Requires:	lash
Requires:	libsndfile-progs

%description
amsynth is an analog modelling (a.k.a virtual analog) software synthesizer.

It mimics the operation of early analog subtractive synthesizers with
classic oscillator waveforms, envelopes, filter, modulation and effects.

The aim is to make it easy to create and modify sounds.


Features
--------

 * Dual oscillators (sine / saw / square / noise) with hard sync
 * 12/24 dB/oct resonant filter (low-pass / high-pass / band-pass / notch)
 * Mono / poly / legato keyboard modes
 * Dual ADSR envelope generators (filter & amplitude)
 * LFO which can modulate the oscillators, filter, and amplitude
 * Distortion and reverb
 * Hundreds of presets


There are currently several different ways to run amsynth:

 * Stand-alone application using JACK, ALSA or OSS
 * DSSI plug-in
 * LV2 plug-in
 * VST plug-in


%prep
%setup -q
%autopatch -p1

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%dir %{_libdir}/dssi/%{name}_dssi
%{_libdir}/dssi/%{name}_dssi.so
%{_libdir}/dssi/%{name}_dssi/%{name}_dssi_gtk
%{_libdir}/lv2/%{name}.lv2/
%{_libdir}/vst/%{name}_vst.so
%{_datadir}/appdata/dssi-%{name}-plugin.metainfo.xml
%{_datadir}/appdata/lv2-%{name}-plugin.metainfo.xml
%{_datadir}/appdata/vst-%{name}-plugin.metainfo.xml


%changelog
* Sat Feb 04 2023 daviddavid <daviddavid> 1.13.2-1.mga9
+ Revision: 1938045
- new version: 1.13.2

* Tue Jan 24 2023 daviddavid <daviddavid> 1.13.1-1.mga9
+ Revision: 1935527
- new version: 1.13.1

* Mon Nov 07 2022 daviddavid <daviddavid> 1.13.0-1.mga9
+ Revision: 1904520
- new version: 1.13.0

* Thu Jul 14 2022 papoteur <papoteur> 1.12.4-1.mga9
+ Revision: 1868892
- new 1.12.4

* Sun Apr 03 2022 umeabot <umeabot> 1.12.2-2.mga9
+ Revision: 1841633
- Mageia 9 Mass Rebuild

* Mon Nov 23 2020 daviddavid <daviddavid> 1.12.2-1.mga8
+ Revision: 1648630
- new version: 1.12.2

* Mon Nov 16 2020 daviddavid <daviddavid> 1.12.1-1.mga8
+ Revision: 1646492
- new version: 1.12.1

* Wed Oct 07 2020 daviddavid <daviddavid> 1.11.0-1.mga8
+ Revision: 1632517
- new version: 1.11.0

* Sun May 10 2020 daviddavid <daviddavid> 1.10.0-1.mga8
+ Revision: 1582582
- new version: 1.10.0

* Sat Feb 15 2020 umeabot <umeabot> 1.9.0-2.mga8
+ Revision: 1525396
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Apr 15 2019 daviddavid <daviddavid> 1.9.0-1.mga7
+ Revision: 1390568
- new version: 1.9.0

* Fri Sep 21 2018 umeabot <umeabot> 1.8.0-2.mga7
+ Revision: 1294325
- Mageia 7 Mass Rebuild

* Wed Jul 19 2017 daviddavid <daviddavid> 1.8.0-1.mga7
+ Revision: 1124946
- new version: 1.8.0
- add 2 upstream patches to fix build
- drop build dependency on gtkmm

* Wed Apr 26 2017 akien <akien> 1.7.1-1.mga6
+ Revision: 1097514
- Package appdata file
- Version 1.7.1

* Sun Oct 02 2016 daviddavid <daviddavid> 1.7.0-1.mga6
+ Revision: 1058074
- new version: 1.7.0

* Wed Mar 09 2016 daviddavid <daviddavid> 1.6.4-1.mga6
+ Revision: 988431
- imported package amsynth

